Subject: Re: "git commit -a" Doesn't Add New Files. Why?

From: Nico Williams <[email-masked]>
Date: Tue, 27 May 2025 11:31:12 -0500

On Tue, May 27, 2025 at 09:03:55AM -0700, Jon Forrest wrote:
> The documentation clearly says that running "git commit -a"
> doesn't add new files to the index. I wonder why that choice
> was made.

I use `git commit -a` all the time in workspaces that are dirty.  It
would be exceedingly annoying if `git commit -a` were to act like `git
add . && git commit`.

> Would the addition of "git commit -A" (note the capital letter)
> that works the same as "git commit -a", except that new files
> are also added be something you'd consider?

[Not being part of the team I can't answer this.  But as a user I
wouldn't mind, and I would almost never use it.]

Nico
--